function  RP=RankPosition(A1,A2)
% This function aclculate distortion value of RP 
% Input:
%        A1[n][d] is Initial data matrix 
%        A2[n][d] is Perturbed data Matrix by S-SSVD 
%        
% output:
%         RP represents the average change of rank for all the elements
%         within their respective attributes
%----------------------------------------
[n,m]=size(A1);
R1=RankOfElements(A1);
R2=RankOfElements(A2);
RP=0;
for i=1:m
    for j=1:n
        RP=RP+(abs(R1(j,i)-R2(j,i)));
    end
end
RP=RP/(n*m);

end   



     

